Skip to main content
`Ctrl`+`K`

# TSRosWSetRecomputeJacobian

Set whether to recompute the Jacobian at each stage. The default is to update the Jacobian once per step.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWSetRecomputeJacobian(TS ts, PetscBool flg)

Logically Collective

## Input Parameters

- ts - timestepping context

- flg - `PETSC_TRUE` to recompute the Jacobian at each stage

## See Also

TS: Scalable ODE and DAE Solvers, `TSRosWType`, `TSRosWGetType()`

## Level

intermediate

## Location

src/ts/impls/rosw/rosw.c

## Implementations

TSRosWSetRecomputeJacobian_RosW() in src/ts/impls/rosw/rosw.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages